## jupyter-notebook 5.2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage spelling gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to spell check the documentation"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf config.rst

html: source/config.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

source/config.rst:
	python3 autogen_config.py
	@echo "Created docs for config options"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JupyterNotebook.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JupyterNotebook.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."
		  
spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo "Spell check complete; look for any errors in the above output " \
		  "or in $(BUILDDIR)/spelling/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## jupyter-notebook 4.2.3

=== debian/changelog ===
jupyter-notebook (4.2.3-4+deb9u2) stretch-security; urgency=high

  * CVE-2020-26215: Prevent an issue where a maliciously crafted link to a
    notebook server could redirect the browser to a malicious/spoofed website.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Dec 2020 10:07:17 +0000

jupyter-notebook (4.2.3-4+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2018-19351:  XSS via an untrusted notebook because
    nbconvert responses are considered to have the same origin
    as the notebook server.(Closes: #917409)
  * Fix CVE-2018-21030: does not use a CSP header to treat served
    files as belonging to a separate origin
  * CVE-2018-8768: a maliciously forged notebook file can bypass
    sanitization to execute JavaScript in the notebook context
    (Closes: #893436)

 -- Abhijith PA <abhijith@debian.org>  Mon, 02 Nov 2020 11:30:31 +0530

jupyter-notebook (4.2.3-4) unstable; urgency=medium

  * Clean up handling of the /etc/jupyter/nbconfig dir in maintscripts
  * Patch out the attempt to automatically import ipywidgets, which isn't
    required for ipywidgets > 4, and avoids an unneeded warning
    (closes: #848252)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 07 Jan 2017 11:46:16 +0100

jupyter-notebook (4.2.3-3) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Fix build breakage with requirejs 2.3
  * Add a systemd user unit (jupyter-notebook.service)

  [ Ximin Luo ]
  * Notify people that this package exists. (Closes: #844569)

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Dec 2016 11:32:55 +0100

jupyter-notebook (4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Build source maps reproducibly (Closes: #847192)
  * Add some maintscripts to claim ownership of nbextension config files.
    Otherwise piuparts will fail notebook extension packages.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Dec 2016 22:51:21 +0100

jupyter-notebook (4.2.3-1) unstable; urgency=medium

  * Initial release (closes: #801366).

 -- Gordon Ball <gordon@chronitis.net>  Fri, 04 Nov 2016 14:54:21 +0100

=== debian/control ===
Source: jupyter-notebook
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/notebook
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-setuptools,
               python3-nose <!nocheck>,
               python3-requests <!nocheck>,
               python3-ipython (>= 4) <!nocheck>,
               python3-jupyter-core <!nocheck>,
               python3-jupyter-client <!nocheck>,
               python3-tornado <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-nbconvert <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-terminado <!nocheck>,
               python3-entrypoints <!nocheck>,
               python3-zmq <!nocheck>,
               python-all,
               python-setuptools,
               python-nose <!nocheck>,
               python-requests <!nocheck>,
               python-ipython (>= 4) <!nocheck>,
               python-jupyter-core <!nocheck>,
               python-jupyter-client <!nocheck>,
               python-tornado <!nocheck>,
               python-nbformat <!nocheck>,
               python-nbconvert <!nocheck>,
               python-ipykernel <!nocheck>,
               python-terminado <!nocheck>,
               python-entrypoints <!nocheck>,
               python-zmq <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               libjs-backbone (>= 1.2),
               libjs-bootstrap (>= 3.3),
               libjs-bootstrap-tour (>= 0.9),
               libjs-codemirror,
               libjs-es6-promise (>= 1.0),
               fonts-font-awesome (>= 4.2),
               libjs-jquery,
               libjs-jquery-ui (>= 1.12),
               libjs-marked (>= 0.3),
               libjs-mathjax (>= 2.5),
               libjs-moment (>= 2.8.4),
               libjs-requirejs (>= 2.1),
               libjs-term.js,
               libjs-text-encoding (>= 0.1),
               libjs-underscore (>= 1.5),
               libjs-jquery-typeahead (>= 2.0),
               nodejs,
               node-less (>= 1.5),
               node-source-map,
               node-requirejs (>= 2.3),
               node-uglify
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-terminado (>= 0.3.3),
         libjs-backbone (>= 1.2),
         libjs-bootstrap (>= 3.3),
         libjs-bootstrap-tour (>= 0.9),
         libjs-codemirror,
         libjs-es6-promise (>= 1.0),
         fonts-font-awesome (>= 4.2),
         libjs-jquery,
         libjs-jquery-ui (>= 1.12),
         libjs-marked (>= 0.3),
         libjs-mathjax (>= 2.5),
         libjs-moment (>= 2.8.4),
         libjs-requirejs (>= 2.1),
         libjs-term.js,
         libjs-text-encoding (>= 0.1),
         libjs-underscore (>= 1.5),
         libjs-jquery-typeahead (>= 2.0),
Recommends: python-ipywidgets,
            python-ipykernel
Suggests: python-notebook-doc
Built-Using: ${js:Built-Using}
Description: Jupyter interactive notebook (Python 2)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 2 library.
 .
 This package is not required to run Python 2 code in the notebook, only to
 allow Python 2 code to interact directly with the notebook server.

Package: python3-notebook
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-terminado (>= 0.3.3),
         libjs-backbone (>= 1.2),
         libjs-bootstrap (>= 3.3),
         libjs-bootstrap-tour (>= 0.9),
         libjs-codemirror,
         libjs-es6-promise (>= 1.0),
         fonts-font-awesome (>= 4.2),
         libjs-jquery,
         libjs-jquery-ui (>= 1.12),
         libjs-marked (>= 0.3),
         libjs-mathjax (>= 2.5),
         libjs-moment (>= 2.8.4),
         libjs-requirejs (>= 2.1),
         libjs-term.js,
         libjs-text-encoding (>= 0.1),
         libjs-underscore (>= 1.5),
         libjs-jquery-typeahead (>= 2.0),
Recommends: python3-ipywidgets,
            python3-ipykernel
Suggests: python-notebook-doc
Built-Using: ${js:Built-Using}
Description: Jupyter interactive notebook (Python 3)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the Python 3 library.

Package: python-notebook-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: Jupyter interactive notebook (documentation)
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the documentation.

Package: jupyter-notebook
Architecture: all
Section: science
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-notebook (= ${binary:Version})
Description: Jupyter interactive notebook
 The Jupyter Notebook is a web application that allows you to create and
 share documents that contain live code, equations, visualizations, and
 explanatory text. The Notebook has support for multiple programming
 languages, sharing, and interactive widgets.
 .
 This package contains the jupyter-notebook script.

=== debian/rules ===
#!/usr/bin/make -f

JSBASE:=/usr/share/javascript
COMP:=notebook/static/components
JSUSING:=underscore backbone jquery jquery-ui bootstrap bootstrap-tour moment codemirror term.js jquery-typeahead
BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))

export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
export LC_ALL=C.UTF-8

%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	#backbone
	mkdir -p $(COMP)/backbone
	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js

	#bootstrap
	ln -s $(JSBASE)/bootstrap $(COMP)/

	#bootstrap-tour
	mkdir -p $(COMP)/bootstrap-tour/build/js
	mkdir -p $(COMP)/bootstrap-tour/build/css
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.js $(COMP)/bootstrap-tour/build/js/
	ln -s $(JSBASE)/bootstrap-tour/bootstrap-tour.min.css $(COMP)/bootstrap-tour/build/css/

	#codemirror
	ln -s $(JSBASE)/codemirror $(COMP)/

	#es6-promise
	mkdir -p $(COMP)/es6-promise
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/promise.js
	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/es6-promise.min.js
	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/es6-promise.js

	#jquery
	ln -s $(JSBASE)/jquery $(COMP)/

	#jquery-typeahead
	mkdir -p $(COMP)/jquery-typeahead
	ln -s $(JSBASE)/jquery-typeahead $(COMP)/jquery-typeahead/dist

	#jquery-ui
	mkdir -p $(COMP)/jquery-ui/ui/minified
	mkdir -p $(COMP)/jquery-ui/themes/smoothness
	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/ui/minified/
	ln -s $(JSBASE)/jquery-ui/themes/base/jquery-ui.min.css $(COMP)/jquery-ui/themes/smoothness/
	ln -s $(JSBASE)/jquery-ui/themes/base/images $(COMP)/jquery-ui/themes/smoothness/

	#marked
	mkdir -p $(COMP)/marked/lib
	ln -s $(JSBASE)/marked/marked.js $(COMP)/marked/lib/

	#mathjax
	ln -s $(JSBASE)/mathjax $(COMP)/MathJax

	#moment
	mkdir -p $(COMP)/moment/min
	ln -s $(JSBASE)/moment/moment.js $(COMP)/moment/
	ln -s $(JSBASE)/moment/moment.min.js $(COMP)/moment/min/

	#requirejs
	ln -s $(JSBASE)/requirejs $(COMP)/

	#term.js
	mkdir -p $(COMP)/term.js/src
	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/src/

	#text-encoding
	mkdir -p $(COMP)/text-encoding/lib
	ln -s $(JSBASE)/text-encoding/encoding.js $(COMP)/text-encoding/lib/

	#underscore
	mkdir -p $(COMP)/underscore
	ln -s $(JSBASE)/underscore/underscore.min.js $(COMP)/underscore/underscore-min.js

	#font-awesome
	ln -s /usr/share/fonts-font-awesome $(COMP)/font-awesome

	#google-caja
	mkdir -p $(COMP)/google-caja
	cat debian/missing-sources/css-defs.js \
	    debian/missing-sources/csslexer.js \
	    debian/missing-sources/uri.js \
	    debian/missing-sources/sanitizecss.js \
	    debian/missing-sources/cssparser.js \
	    debian/missing-sources/html4-defs.js \
	    debian/missing-sources/html-sanitizer.js \
	    > debian/missing-sources/html-css-sanitizer-bundle.js
	uglifyjs -o $(COMP)/google-caja/html-css-sanitizer-minified.js \
	            debian/missing-sources/html-css-sanitizer-bundle.js
	dh_auto_configure


override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
endif

MAINTSCRIPTS = debian/python3-notebook.postinst debian/python3-notebook.postrm \
 debian/python-notebook.postinst debian/python-notebook.postrm
NBSECTIONS = $(shell PYTHONPATH=$$PWD python -c "from notebook import nbextensions; \
               print(' '.join(nbextensions.NBCONFIG_SECTIONS))")

mk_maintscript = \
	sed -e 's/SELF/$(1)/g' -e 's/OTHER/$(2)/g' -e 's/NBSECTIONS/$(NBSECTIONS)/g' "$<" > "$@"

debian/python3-notebook.%: debian/pythonX-notebook.%.in
	$(call mk_maintscript,python3,python)

debian/python-notebook.%: debian/pythonX-notebook.%.in
	$(call mk_maintscript,python,python3)

override_dh_auto_install: $(MAINTSCRIPTS)
	dh_auto_install

override_dh_gencontrol:
	echo "js:Built-Using=$(BUILTUSING)" >> debian/python-notebook.substvars
	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
	dh_gencontrol

## jupyter-notebook 5.2.2

=== debian/changelog ===
jupyter-notebook (5.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 Dec 2017 22:25:37 +0100

jupyter-notebook (5.2.1-2) unstable; urgency=medium

  * Patch tools/build-main.js which should fix being unable to use the
    built-in web terminal, due to failing to load xterm.js

 -- Gordon Ball <gordon@chronitis.net>  Thu, 23 Nov 2017 21:15:08 +0000

jupyter-notebook (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides with a very-long-line regex related to
    bidirectional text support
  * Install upstream changelog

 -- Gordon Ball <gordon@chronitis.net>  Thu, 16 Nov 2017 20:58:44 +0000

jupyter-notebook (5.1.0-2) unstable; urgency=medium

  * Explicitly set HOME and XDG_RUNTIME_DIR due to tests failing
    on the buildds

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Nov 2017 19:47:56 +0000

jupyter-notebook (5.1.0-1) unstable; urgency=medium

  [ Ximin Luo ]
  * New upstream release.

  [ Gordon Ball ]
  * Binary package jupyter-notebook now depends on jupyter-core, to ensure
    it is possible to run "jupyter notebook"
  * Man page added for new command "jupyter bundlerextension"
  * libjs-term.js has been replaced by libjs-xterm
  * Update Standards-Version to 4.1.1
  * Documentation now includes sample notebooks; a patch is added to ignore
    errors while building these
  * New dependencies: libjs-jed, libjs-requirejs-text
  * New missing-sources: json.js from requirejs-plugins
  * This version is built with a dummy shim replacing the unpackaged
    preact, preact-compat and proptypes javascript libraries. Consequently,
    the shortcut editor will not work.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Nov 2017 18:52:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/jupyter/notebook
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
 Build-Depends: debhelper (>= 10),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-setuptools,
                python3-nose <!nocheck>,
@@ -18,8 +17,8 @@
                python3-jupyter-core <!nocheck>,
                python3-jupyter-client <!nocheck>,
                python3-tornado <!nocheck>,
-               python3-nbformat <!nocheck>,
-               python3-nbconvert <!nocheck>,
+               python3-nbformat (>= 4.4) <!nocheck>,
+               python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
                python3-terminado <!nocheck>,
                python3-entrypoints <!nocheck>,
@@ -32,35 +31,40 @@
                python-jupyter-core <!nocheck>,
                python-jupyter-client <!nocheck>,
                python-tornado <!nocheck>,
-               python-nbformat <!nocheck>,
-               python-nbconvert <!nocheck>,
+               python-nbformat (>= 4.4) <!nocheck>,
+               python-nbconvert (>= 5) <!nocheck>,
                python-ipykernel <!nocheck>,
                python-terminado <!nocheck>,
                python-entrypoints <!nocheck>,
                python-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-nbsphinx <!nodoc>,
                libjs-backbone (>= 1.2),
                libjs-bootstrap (>= 3.3),
                libjs-bootstrap-tour (>= 0.9),
                libjs-codemirror,
                libjs-es6-promise (>= 1.0),
                fonts-font-awesome (>= 4.2),
+               libjs-jed (>= 1.1.1),
                libjs-jquery,
                libjs-jquery-ui (>= 1.12),
                libjs-marked (>= 0.3),
                libjs-mathjax (>= 2.5),
                libjs-moment (>= 2.8.4),
                libjs-requirejs (>= 2.1),
-               libjs-term.js,
+               libjs-requirejs-text,
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
+               libjs-xterm (>= 2.3),
                nodejs,
                node-less (>= 1.5),
                node-source-map,
                node-requirejs (>= 2.3),
-               node-uglify
+               node-uglify,
+               pandoc
+Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 
@@ -75,16 +79,18 @@
          libjs-codemirror,
          libjs-es6-promise (>= 1.0),
          fonts-font-awesome (>= 4.2),
+         libjs-jed (>= 1.1.1),
          libjs-jquery,
          libjs-jquery-ui (>= 1.12),
          libjs-marked (>= 0.3),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
-         libjs-term.js,
+         libjs-requirejs-text,
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
+         libjs-xterm (>= 2.3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -111,16 +117,18 @@
          libjs-codemirror,
          libjs-es6-promise (>= 1.0),
          fonts-font-awesome (>= 4.2),
+         libjs-jed (>= 1.1.1),
          libjs-jquery,
          libjs-jquery-ui (>= 1.12),
          libjs-marked (>= 0.3),
          libjs-mathjax (>= 2.5),
          libjs-moment (>= 2.8.4),
          libjs-requirejs (>= 2.1),
-         libjs-term.js,
+         libjs-requirejs-text,
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
+         libjs-xterm (>= 2.3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc
@@ -154,11 +162,13 @@
 Section: science
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-notebook (= ${binary:Version})
+         python3-notebook (= ${binary:Version}),
+         jupyter-core
 Description: Jupyter interactive notebook
  The Jupyter Notebook is a web application that allows you to create and
  share documents that contain live code, equations, visualizations, and
  explanatory text. The Notebook has support for multiple programming
  languages, sharing, and interactive widgets.
  .
- This package contains the jupyter-notebook script.
+ This package provides the jupyter subcommands "notebook", "nbextension",
+ "serverextension" and "bundlerextension".

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,14 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=underscore backbone jquery jquery-ui bootstrap bootstrap-tour moment codemirror term.js jquery-typeahead
+JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead xterm requirejs requirejs-text
 BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
 export LC_ALL=C.UTF-8
+export HOME=$(CURDIR)/debian/tmp-home
+export XDG_RUNTIME_DIR=$(HOME)/runtime
+
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild
@@ -35,6 +38,9 @@
 	ln -s $(JSBASE)/es6-promise/es6-promise.min.js $(COMP)/es6-promise/es6-promise.min.js
 	ln -s $(JSBASE)/es6-promise/es6-promise.js $(COMP)/es6-promise/es6-promise.js
 
+	#jed
+	ln -s $(JSBASE)/jed $(COMP)/
+
 	#jquery
 	ln -s $(JSBASE)/jquery $(COMP)/
 
@@ -59,14 +65,22 @@
 	#moment
 	mkdir -p $(COMP)/moment/min
 	ln -s $(JSBASE)/moment/moment.js $(COMP)/moment/
-	ln -s $(JSBASE)/moment/moment.min.js $(COMP)/moment/min/
+	ln -s $(JSBASE)/moment/moment-with-locales.js $(COMP)/moment/
+	ln -s $(JSBASE)/moment/moment-with-locales.min.js $(COMP)/moment/min/moment-with-locales.js
 
 	#requirejs
 	ln -s $(JSBASE)/requirejs $(COMP)/
 
-	#term.js
-	mkdir -p $(COMP)/term.js/src
-	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/src/
+	#requirejs-plugins
+	cp -r debian/missing-sources/requirejs-plugins $(COMP)/
+
+	#requirejs-text
+	mkdir -p $(COMP)/requirejs-text
+	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
+
+	#xterm.js
+	mkdir -p $(COMP)/xterm.js
+	ln -s $(JSBASE)/xterm $(COMP)/xterm.js/dist
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib
@@ -91,6 +105,17 @@
 	    > debian/missing-sources/html-css-sanitizer-bundle.js
 	uglifyjs -o $(COMP)/google-caja/html-css-sanitizer-minified.js \
 	            debian/missing-sources/html-css-sanitizer-bundle.js
+
+	#preact (empty shim, fixme)
+	mkdir -p $(COMP)/preact
+	mkdir -p $(COMP)/preact-compat
+	mkdir -p $(COMP)/proptypes
+	cp debian/shim.js $(COMP)/preact/index.js
+	cp debian/shim.js $(COMP)/preact-compat/index.js
+	cp debian/shim.js $(COMP)/proptypes/index.js
+	sed -i $(COMP)/preact/index.js -e 's/#MODNAME#/preact/g'
+	sed -i $(COMP)/preact-compat/index.js -e 's/#MODNAME#/preactCompat/g'
+	sed -i $(COMP)/proptypes/index.js -e 's/#MODNAME#/PropTypes/g'
 	dh_auto_configure
 
 
@@ -99,6 +124,11 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) notebook/static/*/js/main.*.js
+	$(RM) notebook/static/*/js/main.*.js.map
 
 MAINTSCRIPTS = debian/python3-notebook.postinst debian/python3-notebook.postrm \
  debian/python-notebook.postinst debian/python-notebook.postrm
@@ -121,3 +151,10 @@
 	echo "js:Built-Using=$(BUILTUSING)" >> debian/python-notebook.substvars
 	echo "js:Built-Using=$(BUILTUSING)" >> debian/python3-notebook.substvars
 	dh_gencontrol
+
+override_dh_auto_test:
+	mkdir -p $(XDG_RUNTIME_DIR)
+	dh_auto_test
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/source/changelog.rst

## jupyter-notebook 5.4.1

=== debian/changelog ===
jupyter-notebook (5.4.1-1) unstable; urgency=medium

  * New upstream release 5.4.1
  * Fixes CVE-2018-8768 (malicious notebook can execute javascript)
  * Remove d/.git-dpm and switch to a gbp-style patches-unapplied main branch

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Apr 2018 14:14:27 +0000

jupyter-notebook (5.4.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Update Standards-Version to 4.1.3 (no changes)
  * Retire patch 0003-Unmask-setuptools-in-setup.py (no longer needed)
  * Patch setupbase.py to avoid trying to edit the system copy of bootstrap
  * New dependency: python[3]-send2trash
  * Move d/source.lintian-overrides to d/source/lintian-overrides
  * Set Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Gordon Ball <gordon@chronitis.net>  Mon, 05 Mar 2018 21:40:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/jupyter/notebook
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/jupyter-notebook.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-notebook.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-notebook
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
@@ -20,8 +20,9 @@
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
-               python3-terminado <!nocheck>,
+               python3-terminado (>= 0.8.1) <!nocheck>,
                python3-entrypoints <!nocheck>,
+               python3-send2trash <!nocheck>,
                python3-zmq <!nocheck>,
                python-all,
                python-setuptools,
@@ -34,8 +35,9 @@
                python-nbformat (>= 4.4) <!nocheck>,
                python-nbconvert (>= 5) <!nocheck>,
                python-ipykernel <!nocheck>,
-               python-terminado <!nocheck>,
+               python-terminado (>= 0.8.1) <!nocheck>,
                python-entrypoints <!nocheck>,
+               python-send2trash <!nocheck>,
                python-zmq <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -67,6 +69,7 @@
 Testsuite: autopkgtest-pkg-python
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
+Rules-Requires-Root: no
 
 Package: python-notebook
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,9 @@
 
 override_dh_auto_test:
 	mkdir -p $(XDG_RUNTIME_DIR)
-	dh_auto_test
+	# send2trash deletion tests fail if the temporary notebook files
+	# are on a different block device to the implicit trash directory in HOME
+	TMPDIR=$(XDG_RUNTIME_DIR) dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/source/changelog.rst

## jupyter-notebook 5.7.4

=== debian/changelog ===
jupyter-notebook (5.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release 5.7.4
  * Refresh existing patches
  * Update to Standards-Version 4.3.0
  * Patch terminal support to work with the currently packaged version
    of node-xterm
  * Use packaged po2json for translations
  * New dependencies: prometheus_client, ipaddress, mock

 -- Gordon Ball <gordon@chronitis.net>  Thu, 14 Feb 2019 07:49:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Jerome Benoit <calculus@rezozer.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/jupyter/notebook
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-notebook.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-notebook
@@ -12,6 +12,7 @@
                python3-all,
                python3-setuptools,
                python3-nose <!nocheck>,
+               python3-nose-exclude <!nocheck>,
                python3-requests <!nocheck>,
                python3-ipython (>= 4) <!nocheck>,
                python3-jupyter-core <!nocheck>,
@@ -20,6 +21,7 @@
                python3-nbformat (>= 4.4) <!nocheck>,
                python3-nbconvert (>= 5) <!nocheck>,
                python3-ipykernel <!nocheck>,
+               python3-prometheus-client <!nocheck>,
                python3-terminado (>= 0.8.1) <!nocheck>,
                python3-entrypoints <!nocheck>,
                python3-send2trash <!nocheck>,
@@ -27,6 +29,7 @@
                python-all,
                python-setuptools,
                python-nose <!nocheck>,
+               python-nose-exclude <!nocheck>,
                python-requests <!nocheck>,
                python-ipython (>= 4) <!nocheck>,
                python-jupyter-core <!nocheck>,
@@ -34,7 +37,10 @@
                python-tornado <!nocheck>,
                python-nbformat (>= 4.4) <!nocheck>,
                python-nbconvert (>= 5) <!nocheck>,
+               python-mock <!nocheck>,
+               python-ipaddress <!nocheck>,
                python-ipykernel <!nocheck>,
+               python-prometheus-client <!nocheck>,
                python-terminado (>= 0.8.1) <!nocheck>,
                python-entrypoints <!nocheck>,
                python-send2trash <!nocheck>,
@@ -59,16 +65,15 @@
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
-               libjs-xterm (>= 2.3),
+               libjs-xterm (<< 3),
                nodejs,
                node-less (>= 1.5),
                node-source-map,
                node-requirejs (>= 2.3),
                node-uglify,
+               node-po2json,
                pandoc
 Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Rules-Requires-Root: no
 
 Package: python-notebook
@@ -93,7 +98,7 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (>= 2.3),
+         libjs-xterm (<< 3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -131,7 +136,7 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (>= 2.3),
+         libjs-xterm (<< 3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export LC_ALL=C.UTF-8
 export HOME=$(CURDIR)/debian/tmp-home
 export XDG_RUNTIME_DIR=$(HOME)/runtime
+export PYBUILD_TEST_ARGS=--exclude-dir notebook/tests/selenium
 
 
 %:
@@ -20,7 +21,9 @@
 	ln -s $(JSBASE)/backbone/backbone.min.js $(COMP)/backbone/backbone-min.js
 
 	#bootstrap
-	ln -s $(JSBASE)/bootstrap $(COMP)/
+	mkdir -p $(COMP)/bootstrap
+	ln -s $(JSBASE)/bootstrap $(COMP)/bootstrap/dist
+	ln -s $(JSBASE)/bootstrap/less $(COMP)/bootstrap/
 
 	#bootstrap-tour
 	mkdir -p $(COMP)/bootstrap-tour/build/js
@@ -49,9 +52,8 @@
 	ln -s $(JSBASE)/jquery-typeahead $(COMP)/jquery-typeahead/dist
 
 	#jquery-ui
-	mkdir -p $(COMP)/jquery-ui/ui/minified
 	mkdir -p $(COMP)/jquery-ui/themes/smoothness
-	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/ui/minified/
+	ln -s $(JSBASE)/jquery-ui/jquery-ui.min.js $(COMP)/jquery-ui/
 	ln -s $(JSBASE)/jquery-ui/themes/base/jquery-ui.min.css $(COMP)/jquery-ui/themes/smoothness/
 	ln -s $(JSBASE)/jquery-ui/themes/base/images $(COMP)/jquery-ui/themes/smoothness/
 
@@ -79,8 +81,10 @@
 	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
 
 	#xterm.js
-	mkdir -p $(COMP)/xterm.js
-	ln -s $(JSBASE)/xterm $(COMP)/xterm.js/dist
+	mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
+	ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
+	ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
+	ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib
@@ -122,7 +126,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	PYTHONPATH=. http_proxy='127.0.0.9' sphinx-build -N -bhtml docs/source/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.9' python3 -m sphinx -N -bhtml docs/source/ build/html
 endif
 
 override_dh_auto_clean:

## jupyter-notebook 5.7.8

=== debian/changelog ===
jupyter-notebook (5.7.8-1) unstable; urgency=medium

  * New upstream release 5.7.8
  * Fixes CVE-2019-9644 (Closes: #924515)
  * Fixes CVE-2019-10255 (Closes: #925939)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 May 2019 18:12:38 +0000

jupyter-notebook (5.7.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix unhandled symlink to directory conversion for bootstrap, through
    python{,3}-notebook.maintscript. (Closes: #924232)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 15:52:25 +0100

jupyter-notebook (5.7.4-2) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Add (retrospective) CVEs fixed by 5.7.4-1.

  [ Andrej Shadura ]
  * Temporarily use term.js once again instead of the RC-buggy node-xterm
    (Closes: #924111).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Mar 2019 16:21:07 +0000

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,8 @@
                libjs-text-encoding (>= 0.1),
                libjs-underscore (>= 1.5),
                libjs-jquery-typeahead (>= 2.0),
-               libjs-xterm (<< 3),
+#               libjs-xterm (<< 3),
+               libjs-term.js,
                nodejs,
                node-less (>= 1.5),
                node-source-map,
@@ -98,7 +99,8 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (<< 3),
+         libjs-term.js,
+#         libjs-xterm (<< 3),
 Recommends: python-ipywidgets,
             python-ipykernel
 Suggests: python-notebook-doc
@@ -136,7 +138,8 @@
          libjs-text-encoding (>= 0.1),
          libjs-underscore (>= 1.5),
          libjs-jquery-typeahead (>= 2.0),
-         libjs-xterm (<< 3),
+         libjs-term.js,
+#         libjs-xterm (<< 3),
 Recommends: python3-ipywidgets,
             python3-ipykernel
 Suggests: python-notebook-doc

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 JSBASE:=/usr/share/javascript
 COMP:=notebook/static/components
-JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead xterm requirejs requirejs-text
+JSUSING:=underscore backbone jed jquery jquery-ui bootstrap bootstrap-tour moment codemirror jquery-typeahead term.js requirejs requirejs-text
 BUILTUSING:=$(foreach jspkg, $(JSUSING), $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-$(jspkg)))
 
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/notebook/static/components' ; cp -r notebook/static/components '{destdir}/{install_dir}/notebook/static/' ; rm -rf '{destdir}/{install_dir}/notebook/tests'
@@ -81,10 +81,12 @@
 	ln -s $(JSBASE)/requirejs/text.js $(COMP)/requirejs-text/
 
 	#xterm.js
-	mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
-	ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
-	ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
-	ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
+	#mkdir -p $(COMP)/xterm.js $(COMP)/xterm.js-css $(COMP)/xterm.js-fit
+	#ln -s $(JSBASE)/xterm/xterm.js $(COMP)/xterm.js/index.js
+	#ln -s $(JSBASE)/xterm/xterm.css $(COMP)/xterm.js-css/index.css
+	#ln -s $(JSBASE)/xterm/addons/fit/fit.js $(COMP)/xterm.js-fit/index.js
+	mkdir -p $(COMP)/term.js
+	ln -s $(JSBASE)/term.js/term.js $(COMP)/term.js/term.js
 
 	#text-encoding
 	mkdir -p $(COMP)/text-encoding/lib

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/jupyter/notebook/tags .*/archive/v?([\d\.]+).tar.gz
